JavaScript Stimulus 安装出现 Command failed with exit code 1.错误处理

y9info · 2022年12月23日 · 最后由 hellonunam 回复于 2023年01月06日 · 226 次阅读

按照 Stimulus 手册,安装步骤是:

git clone https://github.com/hotwired/stimulus-starter.git
$ cd stimulus-starter
$ yarn install
$ yarn start

运行最后一步 yarn start 出现如下错误:

Node.js v18.12.1
error Command failed with exit code 1.

是 Node.js 版本太高,重新安装 v12 版本即可:

nvm install 12
nvm use 12.22.12

重新执行:

$ yarn install
$ yarn start

问题解决。

export NODE_OPTIONS=--openssl-legacy-provider

https://github.com/nodejs/node/issues/40455

发文别学 CSDN

不降低 node.js 版本的情况下,环境变量设置解决:windows 系统是:系统属性 - 高级 - 环境变量 - 系统变量 - 新建 变量名填“NODE_OPTIONS”,变量值填“--openssl-legacy-provider“,确定即可。设置环境变量后,在命令行窗口重新执行 yarn start,问题解决。

不是这样玩滴

需要 登录 后方可回复, 如果你还没有账号请 注册新账号